unit Unit2;

interface

uses
  Windows, Classes, Graphics, Forms, StdCtrls, Controls, ExtCtrls;

type
  TGG = class(TForm)
    img1: TImage;
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  GG: TGG;

implementation

uses Unit1, Unit3, Unit4;

{$R *.dfm}


procedure TGG.FormShow(Sender: TObject);
begin
  //основное
GG.Width:=980;
GG.Height:=690;
TransparentColorValue:=Color;
TransparentColor:=True;

  // рисуем игровую сетку.
 { for i:=0 to 10 do
   begin
    For j:=4 to 6 do
     begin
      Canvas.MoveTo(j+i*97,j+i*97);
      Canvas.LineTo(j+i*97,j+970);
     end;
   end;  }
end;

procedure TGG.FormCreate(Sender: TObject);
begin
  Show;
end;

procedure TGG.FormMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  SetActiveWindow(SG.Handle);
end;

procedure TGG.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  SetActiveWindow(SG.Handle);
end;

end.
